/*===========================================================================*/
/*   (Eval/expand.scm)                                                       */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -O4 -mklib -cc gcc-2.95 -fsharing -q -s -copt -DBGL_NO_PIC -unsafe -c Eval/expand.scm -indent -o objs/obj_u/Eval/expand.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>
#include <signal.h>

static obj_t BGl_loopz00zz__expandz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__macroz00(long, char *);
BGL_EXPORTED_DECL obj_t BGl_expandz00zz__expandz00(obj_t);
static obj_t BGl_symbol1862z00zz__expandz00 = BUNSPEC;
static obj_t BGl_cnstzd2initzd2zz__expandz00();
static obj_t BGl__za2identifierzd2evalzd2expanderza2z00zz__expandz00(obj_t, obj_t, obj_t);
extern obj_t string_to_symbol(char *);
extern obj_t c_substring(obj_t, int, int);
BGL_EXPORTED_DECL obj_t BGl_expandzd2oncezd2zz__expandz00(obj_t);
static obj_t BGl_initialzd2expanderzd2zz__expandz00(obj_t, obj_t);
static obj_t BGl__expandz00zz__expandz00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__expandz00();
static obj_t BGl__parsezd2formalzd2identz00zz__expandz00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__expandz00 = BUNSPEC;
static obj_t BGl__expandzd2oncezd2zz__expandz00(obj_t, obj_t);
static obj_t BGl__initialzd2expanderzd2zz__expandz00(obj_t, obj_t, obj_t);
extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00;
static obj_t BGl_zc3anonymousza31039ze3z83zz__expandz00(obj_t, obj_t, obj_t);
static obj_t BGl_zc3anonymousza31008ze3z83zz__expandz00(obj_t, obj_t, obj_t);
extern obj_t BGl_getzd2evalzd2expanderz00zz__macroz00(obj_t);
static obj_t BGl__za2applicationzd2evalzd2expanderza2z00zz__expandz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_parsezd2formalzd2identz00zz__expandz00(obj_t);
static obj_t *__cnst;


DEFINE_STATIC_PROCEDURE( BGl_proc1858z00zz__expandz00, BgL_bgl_za7c3anonymousza7a31008za7e3za783za7za7__expandza7001870za7, BGl_zc3anonymousza31008ze3z83zz__expandz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc1859z00zz__expandz00, BgL_bgl_za7c3anonymousza7a31039za7e3za783za7za7__expandza7001871za7, BGl_zc3anonymousza31039ze3z83zz__expandz00, 0L, 2 );
DEFINE_STRING( BGl_string1864z00zz__expandz00, BgL_bgl_string1864za700za7za7__expandza7001872z00, "Illegal formal identifier", 25 );
DEFINE_STRING( BGl_string1863z00zz__expandz00, BgL_bgl_string1863za700za7za7__expandza7001873z00, "", 0 );
DEFINE_STRING( BGl_string1861z00zz__expandz00, BgL_bgl_string1861za700za7za7__expandza7001874z00, "Illegal form", 12 );
DEFINE_STRING( BGl_string1860z00zz__expandz00, BgL_bgl_string1860za700za7za7__expandza7001875z00, "application", 11 );
DEFINE_EXPORT_PROCEDURE( BGl_parsezd2formalzd2identzd2envzd2zz__expandz00, BgL_bgl__parseza7d2formalza7d2identza700za7za7__expandza7001876z00, BGl__parsezd2formalzd2identz00zz__expandz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_za2applicationzd2evalzd2expanderza2zd2envzd2zz__expandz00, BgL_bgl__za7a2applicationza7d2evalza7d2expanderza7a2za700za7za7__expandza7001877z00, BGl__za2applicationzd2evalzd2expanderza2z00zz__expandz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_initialzd2expanderzd2envz00zz__expandz00, BgL_bgl__initialza7d2expanderza7d2za7za7__expandza7001878za7, BGl__initialzd2expanderzd2zz__expandz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_expandzd2envzd2zz__expandz00, BgL_bgl__expandza700za7za7__expandza7001879z00, BGl__expandz00zz__expandz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_za2identifierzd2evalzd2expanderza2zd2envzd2zz__expandz00, BgL_bgl__za7a2identifierza7d2evalza7d2expanderza7a2za700za7za7__expandza7001880z00, BGl__za2identifierzd2evalzd2expanderza2z00zz__expandz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_expandzd2oncezd2envz00zz__expandz00, BgL_bgl__expandza7d2onceza7d2za7za7__expandza7001881za7, BGl__expandzd2oncezd2zz__expandz00, 0L, 1 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long BgL_checksumz00_707, char * BgL_fromz00_708)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__expandz00))
{ 
BGl_requirezd2initializa7ationz75zz__expandz00 = 
BBOOL(((bool_t)0)); 
BGl_cnstzd2initzd2zz__expandz00(); 
BGl_importedzd2moduleszd2initz00zz__expandz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__expandz00()
{ AN_OBJECT;
{ /* ./Eval/expand.scm 14 */
return ( 
BGl_symbol1862z00zz__expandz00 = 
string_to_symbol("dsssl"), BUNSPEC) ;} 
}



/* expand */
BGL_EXPORTED_DEF obj_t BGl_expandz00zz__expandz00(obj_t BgL_xz00_1)
{ AN_OBJECT;
{ /* ./Eval/expand.scm 50 */
return 
BGl_initialzd2expanderzd2zz__expandz00(BgL_xz00_1, BGl_initialzd2expanderzd2envz00zz__expandz00);} 
}



/* _expand */
obj_t BGl__expandz00zz__expandz00(obj_t BgL_envz00_675, obj_t BgL_xz00_676)
{ AN_OBJECT;
{ /* ./Eval/expand.scm 50 */
return 
BGl_expandz00zz__expandz00(BgL_xz00_676);} 
}



/* expand-once */
BGL_EXPORTED_DEF obj_t BGl_expandzd2oncezd2zz__expandz00(obj_t BgL_xz00_2)
{ AN_OBJECT;
{ /* ./Eval/expand.scm 56 */
return 
BGl_initialzd2expanderzd2zz__expandz00(BgL_xz00_2, BGl_proc1858z00zz__expandz00);} 
}



/* _expand-once */
obj_t BGl__expandzd2oncezd2zz__expandz00(obj_t BgL_envz00_681, obj_t BgL_xz00_682)
{ AN_OBJECT;
{ /* ./Eval/expand.scm 56 */
return 
BGl_expandzd2oncezd2zz__expandz00(BgL_xz00_682);} 
}



/* <anonymous:1008> */
obj_t BGl_zc3anonymousza31008ze3z83zz__expandz00(obj_t BgL_envz00_683, obj_t BgL_xz00_684, obj_t BgL_ez00_685)
{ AN_OBJECT;
{ /* ./Eval/expand.scm 57 */
return BgL_xz00_684;} 
}



/* initial-expander */
obj_t BGl_initialzd2expanderzd2zz__expandz00(obj_t BgL_xz00_3, obj_t BgL_ez00_4)
{ AN_OBJECT;
{ /* ./Eval/expand.scm 62 */
{ /* ./Eval/expand.scm 63 */
obj_t BgL_e1z00_369;
if(
SYMBOLP(BgL_xz00_3))
{ /* ./Eval/expand.scm 64 */
BgL_e1z00_369 = BGl_za2identifierzd2evalzd2expanderza2zd2envzd2zz__expandz00; }  else 
{ /* ./Eval/expand.scm 64 */
if(
PAIRP(BgL_xz00_3))
{ /* ./Eval/expand.scm 68 */
bool_t BgL_testz00_723;
{ /* ./Eval/expand.scm 68 */
obj_t BgL_auxz00_724;
BgL_auxz00_724 = 
CAR(BgL_xz00_3); 
BgL_testz00_723 = 
SYMBOLP(BgL_auxz00_724); } 
if(BgL_testz00_723)
{ /* ./Eval/expand.scm 68 */
{ /* ./Eval/expand.scm 69 */
obj_t BgL_idz00_380;
{ /* ./Eval/expand.scm 69 */
obj_t BgL_auxz00_727;
BgL_auxz00_727 = 
BGl_parsezd2formalzd2identz00zz__expandz00(
CAR(BgL_xz00_3)); 
BgL_idz00_380 = 
CAR(BgL_auxz00_727); } 
{ /* ./Eval/expand.scm 70 */
obj_t BgL_bz00_381;
BgL_bz00_381 = 
BGl_getzd2evalzd2expanderz00zz__macroz00(BgL_idz00_380); 
if(
CBOOL(BgL_bz00_381))
{ /* ./Eval/expand.scm 71 */
BgL_e1z00_369 = BgL_bz00_381; }  else 
{ /* ./Eval/expand.scm 71 */
BgL_e1z00_369 = BGl_za2applicationzd2evalzd2expanderza2zd2envzd2zz__expandz00; } } } }  else 
{ /* ./Eval/expand.scm 68 */
BgL_e1z00_369 = BGl_za2applicationzd2evalzd2expanderza2zd2envzd2zz__expandz00; } }  else 
{ /* ./Eval/expand.scm 66 */
BgL_e1z00_369 = BGl_proc1859z00zz__expandz00; } } 
{ /* ./Eval/expand.scm 76 */
obj_t BgL_newz00_370;
BgL_newz00_370 = 
PROCEDURE_ENTRY(BgL_e1z00_369)(BgL_e1z00_369, BgL_xz00_3, BgL_ez00_4, BEOA); 
{ /* ./Eval/expand.scm 77 */
bool_t BgL_test1009z00_371;
if(
PAIRP(BgL_newz00_370))
{ /* ./Eval/expand.scm 78 */
bool_t BgL_test1019z00_376;
BgL_test1019z00_376 = 
EXTENDED_PAIRP(BgL_newz00_370); 
if(BgL_test1019z00_376)
{ /* ./Eval/expand.scm 78 */
BgL_test1009z00_371 = ((bool_t)0); }  else 
{ /* ./Eval/expand.scm 78 */
BgL_test1009z00_371 = 
EXTENDED_PAIRP(BgL_xz00_3); } }  else 
{ /* ./Eval/expand.scm 77 */
BgL_test1009z00_371 = ((bool_t)0); } 
if(BgL_test1009z00_371)
{ /* ./Eval/expand.scm 80 */
obj_t BgL_arg1011z00_372;obj_t BgL_arg1012z00_373;obj_t BgL_arg1013z00_374;
BgL_arg1011z00_372 = 
CAR(BgL_newz00_370); 
BgL_arg1012z00_373 = 
CDR(BgL_newz00_370); 
BgL_arg1013z00_374 = 
CER(BgL_xz00_3); 
{ /* ./Eval/expand.scm 80 */
obj_t BgL_res1824z00_600;
BgL_res1824z00_600 = 
MAKE_EXTENDED_PAIR(BgL_arg1011z00_372, BgL_arg1012z00_373, BgL_arg1013z00_374); 
return BgL_res1824z00_600;} }  else 
{ /* ./Eval/expand.scm 77 */
return BgL_newz00_370;} } } } } 
}



/* _initial-expander */
obj_t BGl__initialzd2expanderzd2zz__expandz00(obj_t BgL_envz00_677, obj_t BgL_xz00_678, obj_t BgL_ez00_679)
{ AN_OBJECT;
{ /* ./Eval/expand.scm 62 */
return 
BGl_initialzd2expanderzd2zz__expandz00(BgL_xz00_678, BgL_ez00_679);} 
}



/* <anonymous:1039> */
obj_t BGl_zc3anonymousza31039ze3z83zz__expandz00(obj_t BgL_envz00_687, obj_t BgL_xz00_688, obj_t BgL_ez00_689)
{ AN_OBJECT;
{ /* ./Eval/expand.scm 67 */
return BgL_xz00_688;} 
}



/* _*identifier-eval-expander* */
obj_t BGl__za2identifierzd2evalzd2expanderza2z00zz__expandz00(obj_t BgL_envz00_690, obj_t BgL_xz00_691, obj_t BgL_ez00_692)
{ AN_OBJECT;
{ /* ./Eval/expand.scm 86 */
return BgL_xz00_691;} 
}



/* loop */
obj_t BGl_loopz00zz__expandz00(obj_t BgL_ez00_698, obj_t BgL_xz00_388)
{ AN_OBJECT;
{ /* ./Eval/expand.scm 93 */
if(
NULLP(BgL_xz00_388))
{ /* ./Eval/expand.scm 95 */
return BNIL;}  else 
{ /* ./Eval/expand.scm 95 */
if(
PAIRP(BgL_xz00_388))
{ /* ./Eval/expand.scm 97 */
{ /* ./Eval/expand.scm 100 */
obj_t BgL_arg1046z00_392;obj_t BgL_arg1047z00_393;
{ /* ./Eval/expand.scm 100 */
obj_t BgL_arg1050z00_394;
BgL_arg1050z00_394 = 
CAR(BgL_xz00_388); 
BgL_arg1046z00_392 = 
PROCEDURE_ENTRY(BgL_ez00_698)(BgL_ez00_698, BgL_arg1050z00_394, BgL_ez00_698, BEOA); } 
BgL_arg1047z00_393 = 
BGl_loopz00zz__expandz00(BgL_ez00_698, 
CDR(BgL_xz00_388)); 
return 
MAKE_PAIR(BgL_arg1046z00_392, BgL_arg1047z00_393);} }  else 
{ /* ./Eval/expand.scm 97 */
FAILURE(BGl_string1860z00zz__expandz00,BGl_string1861z00zz__expandz00,BgL_xz00_388);} } } 
}



/* _*application-eval-expander* */
obj_t BGl__za2applicationzd2evalzd2expanderza2z00zz__expandz00(obj_t BgL_envz00_693, obj_t BgL_xz00_694, obj_t BgL_ez00_695)
{ AN_OBJECT;
{ /* ./Eval/expand.scm 92 */
return 
BGl_loopz00zz__expandz00(BgL_ez00_695, BgL_xz00_694);} 
}



/* parse-formal-ident */
BGL_EXPORTED_DEF obj_t BGl_parsezd2formalzd2identz00zz__expandz00(obj_t BgL_identz00_9)
{ AN_OBJECT;
{ /* ./Eval/expand.scm 105 */
{ /* ./Eval/expand.scm 107 */
bool_t BgL_test1060z00_396;
if(
(BgL_identz00_9==BCNST(258)))
{ /* ./Eval/expand.scm 107 */
BgL_test1060z00_396 = ((bool_t)1); }  else 
{ /* ./Eval/expand.scm 107 */
if(
(BgL_identz00_9==BCNST(259)))
{ /* ./Eval/expand.scm 108 */
BgL_test1060z00_396 = ((bool_t)1); }  else 
{ /* ./Eval/expand.scm 108 */
BgL_test1060z00_396 = 
(BgL_identz00_9==BCNST(262)); } } 
if(BgL_test1060z00_396)
{ /* ./Eval/expand.scm 107 */
{ /* ./Eval/expand.scm 110 */
obj_t BgL_arg1064z00_397;
BgL_arg1064z00_397 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BGl_symbol1862z00zz__expandz00, BEOA); 
return 
MAKE_PAIR(BgL_arg1064z00_397, BNIL);} }  else 
{ /* ./Eval/expand.scm 111 */
bool_t BgL_test1068z00_399;
if(
PAIRP(BgL_identz00_9))
{ /* ./Eval/expand.scm 111 */
obj_t BgL_auxz00_770;
BgL_auxz00_770 = 
CAR(BgL_identz00_9); 
BgL_test1068z00_399 = 
SYMBOLP(BgL_auxz00_770); }  else 
{ /* ./Eval/expand.scm 111 */
BgL_test1068z00_399 = ((bool_t)0); } 
if(BgL_test1068z00_399)
{ /* ./Eval/expand.scm 111 */
return 
MAKE_PAIR(BgL_identz00_9, BNIL);}  else 
{ /* ./Eval/expand.scm 111 */
if(
SYMBOLP(BgL_identz00_9))
{ /* ./Eval/expand.scm 113 */
{ /* ./Eval/expand.scm 116 */
obj_t BgL_stringz00_401;
BgL_stringz00_401 = 
SYMBOL_TO_STRING(BgL_identz00_9); 
{ /* ./Eval/expand.scm 116 */
int BgL_lenz00_402;
BgL_lenz00_402 = 
STRING_LENGTH(BgL_stringz00_401); 
{ /* ./Eval/expand.scm 117 */

{ 
long BgL_walkerz00_403;long BgL_idzd2stopzd2_404;long BgL_typezd2startzd2_405;
BgL_walkerz00_403 = ((long)0); 
BgL_idzd2stopzd2_404 = ((long)0); 
BgL_typezd2startzd2_405 = ((long)0); 
BgL_loopz00_406:
{ /* ./Eval/expand.scm 122 */
bool_t BgL_testz00_779;
{ /* ./Eval/expand.scm 122 */
long BgL_auxz00_780;
BgL_auxz00_780 = 
(long)(BgL_lenz00_402); 
BgL_testz00_779 = 
(BgL_walkerz00_403==BgL_auxz00_780); } 
if(BgL_testz00_779)
{ /* ./Eval/expand.scm 122 */
{ /* ./Eval/expand.scm 124 */
bool_t BgL_test1073z00_408;
if(
(BgL_idzd2stopzd2_404==((long)0)))
{ /* ./Eval/expand.scm 124 */
BgL_test1073z00_408 = 
(BgL_typezd2startzd2_405>((long)0)); }  else 
{ /* ./Eval/expand.scm 124 */
BgL_test1073z00_408 = ((bool_t)0); } 
if(BgL_test1073z00_408)
{ /* ./Eval/expand.scm 124 */
{ /* ./Eval/expand.scm 128 */
obj_t BgL_arg1075z00_409;obj_t BgL_arg1076z00_410;
{ /* ./Eval/expand.scm 128 */
char * BgL_auxz00_787;
BgL_auxz00_787 = 
BSTRING_TO_STRING(BGl_string1863z00zz__expandz00); 
BgL_arg1075z00_409 = 
string_to_symbol(BgL_auxz00_787); } 
{ /* ./Eval/expand.scm 129 */
obj_t BgL_arg1080z00_411;
{ /* ./Eval/expand.scm 129 */
int BgL_auxz00_790;
BgL_auxz00_790 = 
(int)(BgL_typezd2startzd2_405); 
BgL_arg1080z00_411 = 
c_substring(BgL_stringz00_401, BgL_auxz00_790, BgL_lenz00_402); } 
{ /* ./Eval/expand.scm 129 */
char * BgL_auxz00_793;
BgL_auxz00_793 = 
BSTRING_TO_STRING(BgL_arg1080z00_411); 
BgL_arg1076z00_410 = 
string_to_symbol(BgL_auxz00_793); } } 
return 
MAKE_PAIR(BgL_arg1075z00_409, BgL_arg1076z00_410);} }  else 
{ /* ./Eval/expand.scm 124 */
if(
(BgL_idzd2stopzd2_404==((long)0)))
{ /* ./Eval/expand.scm 130 */
return 
MAKE_PAIR(BgL_identz00_9, BNIL);}  else 
{ /* ./Eval/expand.scm 132 */
bool_t BgL_testz00_800;
{ /* ./Eval/expand.scm 132 */
long BgL_auxz00_801;
BgL_auxz00_801 = 
(long)(BgL_lenz00_402); 
BgL_testz00_800 = 
(BgL_typezd2startzd2_405==BgL_auxz00_801); } 
if(BgL_testz00_800)
{ /* ./Eval/expand.scm 132 */
FAILURE(BFALSE,BGl_string1864z00zz__expandz00,BgL_identz00_9);}  else 
{ /* ./Eval/expand.scm 132 */
{ /* ./Eval/expand.scm 137 */
obj_t BgL_arg1088z00_414;obj_t BgL_arg1089z00_415;
{ /* ./Eval/expand.scm 137 */
obj_t BgL_arg1092z00_416;
{ /* ./Eval/expand.scm 137 */
int BgL_auxz00_807;int BgL_auxz00_805;
BgL_auxz00_807 = 
(int)(BgL_idzd2stopzd2_404); 
BgL_auxz00_805 = 
(int)(((long)0)); 
BgL_arg1092z00_416 = 
c_substring(BgL_stringz00_401, BgL_auxz00_805, BgL_auxz00_807); } 
{ /* ./Eval/expand.scm 136 */
char * BgL_auxz00_810;
BgL_auxz00_810 = 
BSTRING_TO_STRING(BgL_arg1092z00_416); 
BgL_arg1088z00_414 = 
string_to_symbol(BgL_auxz00_810); } } 
{ /* ./Eval/expand.scm 139 */
obj_t BgL_arg1096z00_417;
{ /* ./Eval/expand.scm 139 */
int BgL_auxz00_813;
BgL_auxz00_813 = 
(int)(BgL_typezd2startzd2_405); 
BgL_arg1096z00_417 = 
c_substring(BgL_stringz00_401, BgL_auxz00_813, BgL_lenz00_402); } 
{ /* ./Eval/expand.scm 138 */
char * BgL_auxz00_816;
BgL_auxz00_816 = 
BSTRING_TO_STRING(BgL_arg1096z00_417); 
BgL_arg1089z00_415 = 
string_to_symbol(BgL_auxz00_816); } } 
return 
MAKE_PAIR(BgL_arg1088z00_414, BgL_arg1089z00_415);} } } } } }  else 
{ /* ./Eval/expand.scm 140 */
bool_t BgL_test1104z00_419;
{ /* ./Eval/expand.scm 140 */
bool_t BgL_testz00_820;
{ /* ./Eval/expand.scm 140 */
unsigned char BgL_auxz00_821;
{ /* ./Eval/expand.scm 140 */
int BgL_auxz00_822;
BgL_auxz00_822 = 
(int)(BgL_walkerz00_403); 
BgL_auxz00_821 = 
STRING_REF(BgL_stringz00_401, BgL_auxz00_822); } 
BgL_testz00_820 = 
(BgL_auxz00_821==((unsigned char)':')); } 
if(BgL_testz00_820)
{ /* ./Eval/expand.scm 141 */
bool_t BgL_testz00_826;
{ /* ./Eval/expand.scm 141 */
long BgL_auxz00_827;
{ /* ./Eval/expand.scm 141 */
long BgL_auxz00_828;
BgL_auxz00_828 = 
(long)(BgL_lenz00_402); 
BgL_auxz00_827 = 
(BgL_auxz00_828-((long)1)); } 
BgL_testz00_826 = 
(BgL_walkerz00_403<BgL_auxz00_827); } 
if(BgL_testz00_826)
{ /* ./Eval/expand.scm 142 */
unsigned char BgL_auxz00_832;
{ /* ./Eval/expand.scm 142 */
int BgL_auxz00_833;
{ /* ./Eval/expand.scm 142 */
long BgL_auxz00_834;
BgL_auxz00_834 = 
(BgL_walkerz00_403+((long)1)); 
BgL_auxz00_833 = 
(int)(BgL_auxz00_834); } 
BgL_auxz00_832 = 
STRING_REF(BgL_stringz00_401, BgL_auxz00_833); } 
BgL_test1104z00_419 = 
(BgL_auxz00_832==((unsigned char)':')); }  else 
{ /* ./Eval/expand.scm 141 */
BgL_test1104z00_419 = ((bool_t)0); } }  else 
{ /* ./Eval/expand.scm 140 */
BgL_test1104z00_419 = ((bool_t)0); } } 
if(BgL_test1104z00_419)
{ /* ./Eval/expand.scm 140 */
if(
(BgL_typezd2startzd2_405>((long)0)))
{ /* ./Eval/expand.scm 143 */
FAILURE(BFALSE,BGl_string1864z00zz__expandz00,BgL_identz00_9);}  else 
{ 
long BgL_typezd2startzd2_846;long BgL_idzd2stopzd2_845;long BgL_walkerz00_843;
BgL_walkerz00_843 = 
(BgL_walkerz00_403+((long)2)); 
BgL_idzd2stopzd2_845 = BgL_walkerz00_403; 
BgL_typezd2startzd2_846 = 
(BgL_walkerz00_403+((long)2)); 
BgL_typezd2startzd2_405 = BgL_typezd2startzd2_846; 
BgL_idzd2stopzd2_404 = BgL_idzd2stopzd2_845; 
BgL_walkerz00_403 = BgL_walkerz00_843; 
goto BgL_loopz00_406;} }  else 
{ /* ./Eval/expand.scm 140 */
{ 
long BgL_walkerz00_848;
BgL_walkerz00_848 = 
(BgL_walkerz00_403+((long)1)); 
BgL_walkerz00_403 = BgL_walkerz00_848; 
goto BgL_loopz00_406;} } } } } } } } }  else 
{ /* ./Eval/expand.scm 113 */
FAILURE(BFALSE,BGl_string1864z00zz__expandz00,BgL_identz00_9);} } } } } 
}



/* _parse-formal-ident */
obj_t BGl__parsezd2formalzd2identz00zz__expandz00(obj_t BgL_envz00_696, obj_t BgL_identz00_697)
{ AN_OBJECT;
{ /* ./Eval/expand.scm 105 */
return 
BGl_parsezd2formalzd2identz00zz__expandz00(BgL_identz00_697);} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__expandz00()
{ AN_OBJECT;
{ /* ./Eval/expand.scm 14 */
BGl_modulezd2initializa7ationz75zz__typez00(((long)52864), "__expand"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)11084), "__expand"); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)48291), "__expand"); 
BGl_modulezd2initializa7ationz75zz__tvectorz00(((long)57114), "__expand"); 
BGl_modulezd2initializa7ationz75zz__structurez00(((long)53290), "__expand"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)13855), "__expand"); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)63306), "__expand"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)21694), "__expand"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)6615), "__expand"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)49269), "__expand"); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)29164), "__expand"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)51785), "__expand"); 
BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long)35070), "__expand"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)247), "__expand"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)21875), "__expand"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)104413), "__expand"); 
BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(((long)50132), "__expand"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)63121), "__expand"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)13988), "__expand"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)45566), "__expand"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)18972), "__expand"); 
BGl_modulezd2initializa7ationz75zz__evenvz00(((long)3930), "__expand"); 
return 
BGl_modulezd2initializa7ationz75zz__macroz00(((long)11817), "__expand");} 
}

